Debian Bug report logs - #568529
overwrites MBR of installation medium

version graph

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Piotr Lewandowski <piotr.lewandowski@gmail.com>

Date: Fri, 5 Feb 2010 15:03:01 UTC

Severity: serious

Tags: d-i, sid, squeeze

Merged with 579519, 589823, 603942, 604992, 605562, 609314

Found in versions grub-installer/0.50, grub-installer/1.49, grub-installer/1.56, grub-installer/1.57, grub-installer/1.58

Fixed in version grub-installer/1.59

Done: Otavio Salvador <otavio@ossystems.com.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#568529; Package debian-installer. (Fri, 05 Feb 2010 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Lewandowski <piotr.lewandowski@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 05 Feb 2010 15:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Piotr Lewandowski <piotr.lewandowski@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: overwrites MBR of installation medium
Date: Fri, 05 Feb 2010 15:59:55 +0100
Package: debian-installer
Severity: grave

During installation of debian squezee using USB flash drive (hd-media)
grub-installer has overwritten its MBR (obviously, it has /dev/sda device
associated with it).

I'm aware that device enumeration issues were reported in #517563 and
#516280 and are present in errata for lenny release RC2, but I believe
that installer should not overwrite installation medium under any
circumstances.

The problem seems to be located in grub-installer script[1]. When
grub-installer/only_debian is set to true the bootdev is set
unconditionally to '(hd0)'. Installer should make sure that this device
is not installation medium by any chance.

I've set severity to grave because of data loss (MBR), but the case is
obviously not so common so feel free to reduce it.

[1] packages/arch/i386/grub-installer/grub-installer

-- 
Piotr Lewandowski




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#568529; Package debian-installer. (Fri, 05 Feb 2010 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 568529@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 05 Feb 2010 15:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 568529@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 568529@bugs.debian.org
Cc: Piotr Lewandowski <piotr.lewandowski@gmail.com>
Subject: Re: Bug#568529: overwrites MBR of installation medium
Date: Fri, 5 Feb 2010 16:36:06 +0100
reassign 568529 grub-installer 1.49
severity 568529 serious
thanks

On Friday 05 February 2010, Piotr Lewandowski wrote:
> I'm aware that device enumeration issues were reported in #517563 and
> #516280 and are present in errata for lenny release RC2, but I believe
> that installer should not overwrite installation medium under any
> circumstances.

Agreed. But I'm lowering the severity to serious (still "not suitable for 
release") as a boot sector can be repaired. I would not expect any actual 
data loss.

Cheers,
FJP




Bug reassigned from package 'debian-installer' to 'grub-installer'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Fri, 05 Feb 2010 15:39:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions grub-installer/1.49. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Fri, 05 Feb 2010 15:39:05 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'grave' Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Fri, 05 Feb 2010 15:39:06 GMT) Full text and rfc822 format available.

Forcibly Merged 568529 579519. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 19 May 2010 15:34:17 GMT) Full text and rfc822 format available.

Forcibly Merged 568529 579519 589823. Request was from Piotr Lewandowski <piotr.lewandowski@gmail.com> to control@bugs.debian.org. (Wed, 21 Jul 2010 12:36:04 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 26 Jul 2010 11:09:03 GMT) Full text and rfc822 format available.

Message sent on to Piotr Lewandowski <piotr.lewandowski@gmail.com>:
Bug#568529. (Sat, 30 Oct 2010 16:27:09 GMT) Full text and rfc822 format available.

Message #25 received at 568529-submitter@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: 579519-submitter@bugs.debian.org, 568529-submitter@bugs.debian.org, 589823-submitter@bugs.debian.org
Subject: Re: Bug#579519: grub-installer - Overwrites bootloaders on different device
Date: Sat, 30 Oct 2010 18:19:41 +0200
[Message part 1 (text/plain, inline)]
Hi everyone

You all reported issues with installing debian with debian-installer
from usb sticks. The issue was that grub2 got installed on the mbr of
the stick instead to the harddisk. But none of you sumitted a full
installation log or more detailed information about your hardware. 

Can you please send the output of the following commands with the usb
stick inserted and without it:
grub-mkdevicemap --no-floppy -m -
readlink -f $(grub-mkdevicemap --no-floppy -m - | head -n1 | cut -f2)

Also the installation log and hardware summary would be interesting if
you still have it. It can be found in /var/log/installer

Even more usefull would be if you could retry the installation using
the latest beta1 images:
http://cdimage.debian.org/cdimage/squeeze_di_beta1/

Gaudenz

Excerpts from Bastian Blank's message of Mit Apr 28 11:55:51 +0200 2010:
> Package: grub-installer
> Version: 0.50
> Severity: critical
> 
> grub-installer managed to overwrite the bootloader on the usb stick I
> used to boot the installer instead of the root device.
> 
> Bastian
> 
--
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#568529; Package grub-installer. (Wed, 17 Nov 2010 00:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 17 Nov 2010 00:27:06 GMT) Full text and rfc822 format available.

Message #30 received at 568529@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 568529@bugs.debian.org
Cc: Gaudenz Steinlin <gaudenz@debian.org>, Piotr Lewandowski <piotr.lewandowski@gmail.com>, Bastian Blank <waldi@debian.org>, Bernd Zeimetz <bzed@debian.org>, Colin Watson <cjwatson@debian.org>, Miguel Figueiredo <elmig@debianpt.org>
Subject: Re: Bug#568529: Bug#579519: grub-installer - Overwrites bootloaders on different device
Date: Wed, 17 Nov 2010 01:24:43 +0100
[Message part 1 (text/plain, inline)]
Hi there!

Cc:ing the three submitters, Colin who is GRUB maintainer and Miguel who
wrote the report for the debian-boot meeting where this bug was still
discussed.

On Sat, 30 Oct 2010 18:19:41 +0200, Gaudenz Steinlin wrote:
> You all reported issues with installing debian with debian-installer
> from usb sticks. The issue was that grub2 got installed on the mbr of
> the stick instead to the harddisk. But none of you sumitted a full
> installation log or more detailed information about your hardware.

I did not experience this bug, because even if I started d-i from a USB
stick, GRUB-2 installation stopped even before:

  http://bugs.debian.org/600671

> Even more usefull would be if you could retry the installation using
> the latest beta1 images:

I *wanted* to use my new shiny Intel SSD so this evening I tried to
debug the problem of the bug above and it was quite easy:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=600671#45

After that, I re-installed sid on the same SSD *twice*, always starting
d-i_squeeze_beta1 from the same USB stick and in both cases the GRUB-2
installation was perfectly fine.

FWIW, I previosly tested the same USB stick on QEMU with a virtual disk
and, again, GRUB-2 was correctly installed.

I have to perform at least another squeeze installation on an i386
computer, but since I am not sure it can boot from USB please do not
wait for my confirmation.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Fri, 19 Nov 2010 15:51:03 GMT) Full text and rfc822 format available.

Notification sent to Piotr Lewandowski <piotr.lewandowski@gmail.com>:
Bug acknowledged by developer. (Fri, 19 Nov 2010 15:51:04 GMT) Full text and rfc822 format available.

Message #35 received at 568529-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 568529-close@bugs.debian.org
Subject: Bug#568529: fixed in grub-installer 1.57
Date: Fri, 19 Nov 2010 15:47:05 +0000
Source: grub-installer
Source-Version: 1.57

We believe that the bug you reported is fixed in the latest version of
grub-installer, which is due to be installed in the Debian FTP archive:

grub-installer_1.57.dsc
  to main/g/grub-installer/grub-installer_1.57.dsc
grub-installer_1.57.tar.gz
  to main/g/grub-installer/grub-installer_1.57.tar.gz
grub-installer_1.57_i386.udeb
  to main/g/grub-installer/grub-installer_1.57_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568529@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 19 Nov 2010 15:27:33 +0000
Source: grub-installer
Binary: grub-installer
Architecture: source i386
Version: 1.57
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-installer - Install GRUB on a hard disk (udeb)
Closes: 568529
Changes: 
 grub-installer (1.57) unstable; urgency=low
 .
   * Merge changes from Ubuntu by Evan Dandrea and myself:
     - Set a sensible default boot device, so that we aren't installing GRUB
       to installation media which may be removed later.  The disk containing
       /cdrom is very unlikely to be a sensible default.  If we had to fall
       back to (hd0), then we can't tell exactly which disk that is, but if
       /cdrom seems to be a USB stick then (hd0) may not be safe.  If we hit
       either of those checks, then try the disk containing /boot instead
       (closes: #568529).
 .
   [ Updated translations ]
   * Sinhala (si.po) by Danishka Navin
   * Slovenian (sl.po) by Vanja Cvelbar
Checksums-Sha1: 
 da2eb12b9799e70e6447f4cda512157361852bc5 1719 grub-installer_1.57.dsc
 6f58b157c4ae2294ce160321a7c06b41b235afbb 175723 grub-installer_1.57.tar.gz
 b6334dd3dbeb3fd976781ceb49c00866e8f85023 163568 grub-installer_1.57_i386.udeb
Checksums-Sha256: 
 f98f5ffde3cf853718c55e88521789a57949da90aa7b942ee6885e4d7b0b771a 1719 grub-installer_1.57.dsc
 75402a9caedf9f17d56818cfde1f1f925ed43646910058bed734b40756143b02 175723 grub-installer_1.57.tar.gz
 0d653763b1cbcf3086e9d9731d6902174d4a984bf9045fb7947e675e97429ff8 163568 grub-installer_1.57_i386.udeb
Files: 
 ee406fdc307d9be62f5f61fdbe63e256 1719 debian-installer standard grub-installer_1.57.dsc
 4b52d3b8d99a509d2eaa0a5618240167 175723 debian-installer standard grub-installer_1.57.tar.gz
 576c8cc7c3c6dbeadb800c4b16c2efe7 163568 debian-installer standard grub-installer_1.57_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTOaX4jk1h9l9hlALAQjhUA/+NlbPGoDgmRs8PAKP/+IWNL7bcjAXC6VS
wbI4QOT24+wVvF7B+pZ4HclhNz865M/L7lCe1xziXG+RNrNMim/0hNWD9a16O4UY
fzLYJElBkimgT7Z6kXkHhmcF7RuE64qo1vprimth0akh+Sr10bZQpdQctDw8ZNu/
LArhGUWMvfgzHDHVsFw83ja610se5qvoNB2MpBxIB5Pl512n8Hj6R4O7duOlI4DE
dS5a5abasKHnCdD+p97sVsfcBAfm90+WG35s8IOowy/dT2d/F/961T3O+0oqzidq
LZJNWvBko8Ya7rMSmrrFi6wWqSRwD7VQjoIdRd3xZ4WmKu3EIKQ8a8iINj4vEsK1
p0ubLpngbfnkcFK8RuOZcQ7/4nYtf+lL7oEQctJQ8TPbIwCrv6AWmAot15OSY8nX
+QKC8bPKSqItTv6VutMOIDajYcC5E4eOSSa6xyNjjaGIBh/m+rgP54Gg2y1t9rgU
g/XpIXhQWrbEpbXC9UzU5rtHULt24qJz09vk8Kmo6vOTNvTVopCI5TjA7vS8bWB1
etsifRSpleZc9MzrM2rCiHC5EAbh/bm+V8ZQ8/stx6SylPjoRqcWJB4MB27X3PyP
GActp4K802RZ+w94zDTJLXBFIKkGmIC7kF6bmiN20A1IAEO7S51PkOh6vcAnKvOk
/2THdZuUPbc=
=dW4Y
-----END PGP SIGNATURE-----





Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Fri, 19 Nov 2010 15:51:04 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Fri, 19 Nov 2010 15:51:04 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Fri, 19 Nov 2010 15:51:05 GMT) Full text and rfc822 format available.

Notification sent to Bernd Zeimetz <bzed@debian.org>:
Bug acknowledged by developer. (Fri, 19 Nov 2010 15:51:05 GMT) Full text and rfc822 format available.

Forcibly Merged 568529 579519 589823 605562. Request was from Gaudenz Steinlin <gaudenz@debian.org> to control@bugs.debian.org. (Wed, 01 Dec 2010 11:00:08 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions grub-installer/1.57 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Dec 2010 10:39:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'critical' Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Thu, 02 Dec 2010 10:39:08 GMT) Full text and rfc822 format available.

Merged 568529 579519 589823 604992 605562. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Fri, 31 Dec 2010 10:31:14 GMT) Full text and rfc822 format available.

Bug Marked as found in versions grub-installer/1.57. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Fri, 31 Dec 2010 10:31:18 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Joachim Schleicher <joachim@dormettingen.de> to control@bugs.debian.org. (Mon, 03 Jan 2011 13:33:06 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Joachim Schleicher <joachim@dormettingen.de> to control@bugs.debian.org. (Mon, 03 Jan 2011 13:33:09 GMT) Full text and rfc822 format available.

Merged 568529 579519 589823 603942 604992 605562. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Mon, 03 Jan 2011 13:57:12 GMT) Full text and rfc822 format available.

Bug Marked as found in versions grub-installer/1.58. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Tue, 11 Jan 2011 12:18:04 GMT) Full text and rfc822 format available.

Merged 568529 579519 589823 603942 604992 605562 609722. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Fri, 14 Jan 2011 17:39:14 GMT) Full text and rfc822 format available.

Forcibly Merged 568529 579519 589823 603942 604992 605562 609314 609722. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 13:27:09 GMT) Full text and rfc822 format available.

Disconnected #609722 from all other report(s). Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 19:45:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Aug 2011 07:36:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:40:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.